SDL_GetJoystickPathForID(3)

NAME
SDL_GetJoystickPathForID - Get the implementation dependent path of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetJoystickPathForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the path of the selected joystick. If no path can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetJoystickPath(3), •(3), SDL_GetJoysticks(3)